<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ArgumentParser (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArgumentParser (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ArgumentParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/preset/ArgumentParser.html" target="_top">Frames</a></li>
<li><a href="ArgumentParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.preset</div>
<h2 title="Class ArgumentParser" class="title">Class ArgumentParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.preset.ArgumentParser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ArgumentParser</span>
extends java.lang.Object</pre>
<div class="block">Ein simpler Parser fuer Kommandozeilen Parameter.
 <h1>Verwendung</h1>
 <p>
 Erzeuge innerhalb deiner ausfuehrbaren Klasse eine Instanz dieser Klasse
 und uebergib im Konstruktor die Kommandozeilenargumente. Verwende diesen
 ArgumentParser um auf Kommandozeilen Parameter zu reagieren.
 </p>
 <p>
 Kommandozeilen Parameter sind entweder Schalter oder Einstellungen.
 </p>
 <h2>Schalter</h2>
 <p>
 Ein Schalter ist entweder ein- oder ausgeschaltet. Dementsprechend kann sein
 Zustand in einem <code>boolean</code> abgelegt werden. Schalter sind zu Beginn
 ausgeschaltet. Ein Schalter wird ueber den Parameter <code>--SCHALTERNAME</code>
 aktiviert. Ein Schalter kann ueber Kommandozeilen Parameter nicht deaktiviert
 werden, da er zu Beginn ohnehin deaktiviert ist.
 </p>
 <h2>Einstellungen</h2>
 <p>
 Eine Einstellung hat einen Namen und einen Wert. Ein gutes Beispiel ist hier
 die Spielfeldgroesse. Der Name dieser Einstellung ist <code>size</code>
 und der Wert kann eine Zahl zwischen <code>6</code> und <code>26</code> sein.
 Der Typ einer Einstellung richtet sich nach der Einstellung. Die Einstellung
 <code>size</code> zum Beispiel ist ein <code>int</code>. Einstellungen werden auf der
 Kommandozeile mit <code>-NAME WERT</code> gesetzt.
 </p>
 <p>
 Wird ein Schalter oder eine Einstellung abgefragt die nicht eingelesen wurde,
 wird eine <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset"><code>ArgumentParserException</code></a> geworfen, auf die sinnvoll reagiert
 werden muss.
 </p>
 <p>
 Alle Schalter und Einstellungen in dieser Klasse duerfen nicht geaendert
 werden. Es ist jedoch erlaubt weitere Schalter oder Einstellungen
 hinzuzufuegen,
 dies ist im Quellcode kenntlich gemacht.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominick Leppich</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#params">params</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#ArgumentParser-java.lang.String:A-">ArgumentParser</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Erzeuge einen neuen ArgumentParser aus einem String-Array mit
 Parametern.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#addFlag-java.lang.String-">addFlag</a></span>(java.lang.String&nbsp;flag)</code>
<div class="block">Fuege einen Schalter hinzu.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#addSetting-java.lang.String-java.lang.String-">addSetting</a></span>(java.lang.String&nbsp;key,
          java.lang.String&nbsp;value)</code>
<div class="block">Fuege eine Einstellung hinzu.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getBias--">getBias</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getBlue--">getBlue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getDebugLevel--">getDebugLevel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getDebugSource--">getDebugSource</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getDelay--">getDelay</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getFlag-java.lang.String-">getFlag</a></span>(java.lang.String&nbsp;flag)</code>
<div class="block">Gib den Wert eines Schalters zurueck.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getGameCount--">getGameCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getHost--">getHost</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getLoadName--">getLoadName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getOfferedType--">getOfferedType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getOutputType--">getOutputType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getParrallelFactor--">getParrallelFactor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getPlayStrategy--">getPlayStrategy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getPort--">getPort</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getRed--">getRed</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getSetting-java.lang.String-">getSetting</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Gib den Wert einer Einstellung als <code>Object</code> zurueck.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getSize--">getSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getThinkingTime--">getThinkingTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getTimeOut--">getTimeOut</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#getTreeSelectionStrategy--">getTreeSelectionStrategy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#isDebug--">isDebug</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#isFairplay--">isFairplay</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#isGraphic--">isGraphic</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#isHelp--">isHelp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#isSet-java.lang.String-">isSet</a></span>(java.lang.String&nbsp;parameter)</code>
<div class="block">Pruefe ob ein Parameter gesetzt ist.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#isStatistic--">isStatistic</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parseArgs-java.lang.String:A-">parseArgs</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Parse die Argumente.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parseDebugLevel-java.lang.String-">parseDebugLevel</a></span>(java.lang.String&nbsp;level)</code>
<div class="block">Parse the <a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> entered by the user for debugging purposes.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parseDebugSource-java.lang.String-">parseDebugSource</a></span>(java.lang.String&nbsp;source)</code>
<div class="block">Parse the <a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> entered by the user.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parseOutputType-java.lang.String-">parseOutputType</a></span>(java.lang.String&nbsp;type)</code>
<div class="block">Parse an OutputType.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>protected <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parsePlayerType-java.lang.String-">parsePlayerType</a></span>(java.lang.String&nbsp;type)</code>
<div class="block">Interpretiere einen Spielertypen</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parsePlayStrategy-java.lang.String-">parsePlayStrategy</a></span>(java.lang.String&nbsp;strategy)</code>
<div class="block">Parse the <a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player"><code>PlayStrategy</code></a> entered by the user.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/preset/ArgumentParser.html#parseTreeSelectionStrategy-java.lang.String-">parseTreeSelectionStrategy</a></span>(java.lang.String&nbsp;strategy)</code>
<div class="block">Parse the <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> entered by the user.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="params">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>params</h4>
<pre>private&nbsp;java.util.HashMap&lt;java.lang.String,java.lang.Object&gt; params</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ArgumentParser-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ArgumentParser</h4>
<pre>public&nbsp;ArgumentParser(java.lang.String[]&nbsp;args)
               throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Erzeuge einen neuen ArgumentParser aus einem String-Array mit
 Parametern. Hier sollte einfach das <code>args</code>
 Argument der <code>main</code>-Methode weitergerreicht werden.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - Argumente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn das Parsen der Argumente fehlschlaegt</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="parseArgs-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseArgs</h4>
<pre>private&nbsp;void&nbsp;parseArgs(java.lang.String[]&nbsp;args)
                throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Parse die Argumente.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - Argumente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn das Parsen der Argumente fehlschlaegt</dd>
</dl>
</li>
</ul>
<a name="addFlag-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFlag</h4>
<pre>private&nbsp;void&nbsp;addFlag(java.lang.String&nbsp;flag)
              throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Fuege einen Schalter hinzu.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>flag</code> - Schalte</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn der Schalter nicht existiert</dd>
</dl>
</li>
</ul>
<a name="addSetting-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addSetting</h4>
<pre>private&nbsp;void&nbsp;addSetting(java.lang.String&nbsp;key,
                        java.lang.String&nbsp;value)
                 throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Fuege eine Einstellung hinzu.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - Name</dd>
<dd><code>value</code> - Wert</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn die Einstellung nicht existiert oder der Wert ein
         ungueltiges Format hat</dd>
</dl>
</li>
</ul>
<a name="isSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSet</h4>
<pre>public&nbsp;boolean&nbsp;isSet(java.lang.String&nbsp;parameter)</pre>
<div class="block">Pruefe ob ein Parameter gesetzt ist.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameter</code> - Zu pruefender Parameter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>wahr, wenn der Parameter gesetzt wurde</dd>
</dl>
</li>
</ul>
<a name="getFlag-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlag</h4>
<pre>protected&nbsp;boolean&nbsp;getFlag(java.lang.String&nbsp;flag)
                   throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Gib den Wert eines Schalters zurueck.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>flag</code> - Name des Schalters</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wert</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn der Schalter den falschen Typ hat (falls eine Einstellung
         versucht wird als Schalter auszulesen)</dd>
</dl>
</li>
</ul>
<a name="getSetting-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSetting</h4>
<pre>protected&nbsp;java.lang.Object&nbsp;getSetting(java.lang.String&nbsp;key)
                               throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Gib den Wert einer Einstellung als <code>Object</code> zurueck.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - Name der Einstellung</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wert als <code>Object</code>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn die Einstellung nicht existiert</dd>
</dl>
</li>
</ul>
<a name="parsePlayerType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parsePlayerType</h4>
<pre>protected&nbsp;<a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;parsePlayerType(java.lang.String&nbsp;type)
                              throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Interpretiere einen Spielertypen</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - Eingelesener Typ</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Spielertyp als <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - wenn der eingelese Typ nicht passt</dd>
</dl>
</li>
</ul>
<a name="parseOutputType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseOutputType</h4>
<pre>private&nbsp;<a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a>&nbsp;parseOutputType(java.lang.String&nbsp;type)
                            throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Parse an OutputType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - output type given by user via command line arguments</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>output type as <a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><code>OutputType</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - if read in output type is not available</dd>
</dl>
</li>
</ul>
<a name="parseDebugLevel-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseDebugLevel</h4>
<pre>private&nbsp;<a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;parseDebugLevel(java.lang.String&nbsp;level)
                            throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Parse the <a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> entered by the user for debugging purposes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>level</code> - debug level given by user via command line arguments</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>debug level as <a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - if read in debug level is not available</dd>
</dl>
</li>
</ul>
<a name="parseDebugSource-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseDebugSource</h4>
<pre>private&nbsp;<a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;parseDebugSource(java.lang.String&nbsp;source)
                              throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Parse the <a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> entered by the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - debug source given by user via command line arguments</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>debug source as <a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - if read in debug source is not available</dd>
</dl>
</li>
</ul>
<a name="parsePlayStrategy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parsePlayStrategy</h4>
<pre>private&nbsp;<a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;parsePlayStrategy(java.lang.String&nbsp;strategy)
                                throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Parse the <a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player"><code>PlayStrategy</code></a> entered by the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>strategy</code> - user input</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Play strategy to use for AI Player</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - if strategy is unknown</dd>
</dl>
</li>
</ul>
<a name="parseTreeSelectionStrategy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseTreeSelectionStrategy</h4>
<pre>private&nbsp;<a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;parseTreeSelectionStrategy(java.lang.String&nbsp;strategy)
                                                  throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<div class="block">Parse the <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> entered by the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>strategy</code> - user input</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>tree selection strategy to use for Monte Carlo tree search</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code> - if strategy is unknown</dd>
</dl>
</li>
</ul>
<a name="isGraphic--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGraphic</h4>
<pre>public&nbsp;boolean&nbsp;isGraphic()
                  throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="isDebug--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDebug</h4>
<pre>public&nbsp;boolean&nbsp;isDebug()
                throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public&nbsp;int&nbsp;getSize()
            throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDelay</h4>
<pre>public&nbsp;int&nbsp;getDelay()
             throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getRed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRed</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;getRed()
                  throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlue</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;getBlue()
                   throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="isHelp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHelp</h4>
<pre>public&nbsp;boolean&nbsp;isHelp()
               throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="isStatistic--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStatistic</h4>
<pre>public&nbsp;boolean&nbsp;isStatistic()
                    throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="isFairplay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFairplay</h4>
<pre>public&nbsp;boolean&nbsp;isFairplay()
                   throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHost</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHost()
                         throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPort</h4>
<pre>public&nbsp;int&nbsp;getPort()
            throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()
                         throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getOutputType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputType</h4>
<pre>public&nbsp;<a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a>&nbsp;getOutputType()
                         throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getGameCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGameCount</h4>
<pre>public&nbsp;int&nbsp;getGameCount()
                 throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTimeOut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeOut</h4>
<pre>public&nbsp;int&nbsp;getTimeOut()
               throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getOfferedType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOfferedType</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;getOfferedType()
                          throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getThinkingTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getThinkingTime</h4>
<pre>public&nbsp;long&nbsp;getThinkingTime()
                     throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDebugLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugLevel</h4>
<pre>public&nbsp;<a href="../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;getDebugLevel()
                         throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDebugSource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugSource</h4>
<pre>public&nbsp;<a href="../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;getDebugSource()
                           throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getLoadName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoadName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getLoadName()
                             throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPlayStrategy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayStrategy</h4>
<pre>public&nbsp;<a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;getPlayStrategy()
                             throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTreeSelectionStrategy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTreeSelectionStrategy</h4>
<pre>public&nbsp;<a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;getTreeSelectionStrategy()
                                               throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getParrallelFactor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParrallelFactor</h4>
<pre>public&nbsp;int&nbsp;getParrallelFactor()
                       throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBias--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBias</h4>
<pre>public&nbsp;double&nbsp;getBias()
               throws <a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ArgumentParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/preset/ArgumentParser.html" target="_top">Frames</a></li>
<li><a href="ArgumentParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
